Get Provider Healths

Get Provider Healths

This endpoint will return the provider node's health information
Authorized Roles : PROVIDER

Request
URI
GET
https://{api_host}/appliance/providerhealth
COPY
Query Parameters
integer
page
Optional

Zero-based page index (0..N)

integer
size
Optional

The size of the page to be returned

string of array
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PageProviderEnvironmentHealth of type(s) application/vnd.vmware.dms-v1+json
{
    "totalPages": 0,
    "totalElements": 0,
    "first": false,
    "sort": {
        "sorted": false,
        "unsorted": false,
        "empty": false
    },
    "pageable": {
        "page": 0,
        "size": 0,
        "sort": [
            "string"
        ]
    },
    "numberOfElements": 0,
    "last": false,
    "size": 0,
    "content": [
        {
            "id": "string",
            "nodeId": "string",
            "status": "string",
            "createdTime": "string"
        }
    ],
    "number": 0,
    "empty": false
}
integer As int32 As int32
totalPages
Optional

totalPages

integer As int64 As int64
totalElements
Optional

totalElements

boolean
first
Optional

first

sort
Optional

sort

pageable
Optional

pageable

integer As int32 As int32
numberOfElements
Optional

numberOfElements

boolean
last
Optional

last

integer As int32 As int32
size
Optional

size

content
Optional

content

integer As int32 As int32
number
Optional

number

boolean
empty
Optional

empty